Subject: RE: [Mobopts] Re: [Mipshop] Re: Review of draft-vidya-mipshop-han dover-keys-aaa-00.txt

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Wed, 20 Jul 2005 20:54:55 -0500

Hi Rajeev,
The protocol, as written now, has taken both into account. The signaling for derivation of handover keys is not done at the time of handover (and hence does not add to the handover latency). The signaling exchange can happen after the MN has handed off or even before it is about to handoff (through the oAR) - so, none of the messages need to be exchanged during the critical handoff time. 

Does that make sense or were you referring to something else? 

Thanks,
Vidya

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Rajeev Koodli
> Sent: Wednesday, July 20, 2005 7:11 PM
> To: James Kempf
> Cc: Gerardo Giaretta; Julien Bournelle; [email-masked]; 
> [email-masked]; Venkitaraman Narayanan-CNV002
> Subject: [Mobopts] Re: [Mipshop] Re: Review of 
> draft-vidya-mipshop-handover-keys-aaa-00.txt
> 
> 
> 
> 
> James Kempf wrote:
> 
> >> The problem that I can see is after IP handover, how do 
> the MN get a 
> >> new key ? If we continue to rely on EAP, it will imply a 
> >> reauthentication from scratch.
> >>
> > One of two ways:
> > 
> > 1) The MN has actually reauthenticated for network access 
> from scratch 
> > in order to establish its session key with the new AR/AP, 
> and in the 
> > process obtained a handover key. In 802.1x, that is, in fact, 
> > currently the only way I believe, though the 802.11r WG is 
> looking to 
> > change this.
> > 
> > 2) The MN has performed preauthentication with a collection 
> of AR/APs 
> > around the current one, and so has a key already available.
> > 
> 
> 
> There are two separate issues here.
> 
> 1. Securing the FMIP signaling via key derivation.
> 
> 2. Reducing the re-authentication latency.
> 
> I believe we are mostly referring to 1) in this thread (so
> far at least).
> 
> What is the scope of 2) for us? Is it an L2-specific
> problem that other bodies such as .11r are considering?
> I believe understanding the scope of 2) is important
> before we engineer the solution.
> 
> -Rajeev
> 
> 
> >             jak
> > 
> > 
> > 
> > _______________________________________________
> > Mipshop mailing list
> > [email-masked] https://www1.ietf.org/mailman/listinfo/mipshop
> 
> 
> _______________________________________________
> Mobopts mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mobopts
> 

_______________________________________________
Mobopts mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mobopts